org.apache.hadoop.io

## Class MultipleIOException.Builder

- java.lang.Object
- - org.apache.hadoop.io.MultipleIOException.Builder

- Enclosing class:
    MultipleIOException

      public static class MultipleIOException.Builder
      extends Object

  Build an `IOException` using `MultipleIOException` if there are more than one.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Throwable t)` Add the given `Throwable` to the exception list.
    `IOException` | `build()`
    `boolean` | `isEmpty()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### add

          public void add(Throwable t)

      Add the given `Throwable` to the exception list.

    - #### build

          public IOException build()

      Returns:
        null if nothing is added to this builder; otherwise, return an `IOException`

    - #### isEmpty

          public boolean isEmpty()

      Returns:
        whether any exception was added.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.